alphabet = {
    "consonants": {
        "ka": "ක",
        "ca": "ක",
        "ga": "ග",
        "cha": "ච",
        "ja": "ජ",
        "ta": "ට",
        "da": "ඩ",
        "tha": "ත",
        "dha": "ද",
        "qa": "ද",
        "na": "න",
        "Na": "ණ",
        "pa": "ප",
        "ba": "බ",
        "ma": "ම",
        "ya": "ය",
        "ra": "ර",
        "la": "ල",
        "La": "ළ",
        "wa": "ව",
        "va": "ව",
        "sa": "ස",
        "sha": "ශ",
        "Sa": "ෂ",
        "Sha": "ෂ",
        "ha": "හ",
        "fa": "ෆ",
        "kha": "ඛ",
        "gha": "ඝ",
        "chha": "ඡ",
        "Ja": "ඣ",
        "Ta": "ඨ",
        "Da": "ඪ",
        "thha": "ථ",
        "dhha": "ධ",
        "pha": "ඵ",
        "bha": "භ",
        "zga": "ඟ",
        "nga": "ඟ",
        "zja": "ඦ",
        "nja": "ඦ",
        "zda": "ඬ",
        "nda": "ඬ",
        "zdha": "ඳ",
        "ndha": "ඳ",
        "zqa": "ඳ",
        "nqa": "ඳ",
        "zka": "ඤ",
        "nka": "ඤ",
        "zha": "ඥ",
        "nha": "ඥ",
        "Ba": "ඹ"
    },
    "consonants_without_a": {
        "k": "ක",
        "c": "ක",
        "g": "ග",
        "ch": "ච",
        "j": "ජ",
        "t": "ට",
        "d": "ඩ",
        "th": "ත",
        "dh": "ද",
        "q": "ද",
        "n": "න",
        "N": "ණ",
        "p": "ප",
        "b": "බ",
        "m": "ම",
        "y": "ය",
        "r": "ර",
        "l": "ල",
        "L": "ළ",
        "w": "ව",
        "v": "ව",
        "s": "ස",
        "sh": "ශ",
        "S": "ෂ",
        "Sh": "ෂ",
        "h": "හ",
        "f": "ෆ",
        "kh": "ඛ",
        "gh": "ඝ",
        "chh": "ඡ",
        "J": "ඣ",
        "T": "ඨ",
        "D": "ඪ",
        "thh": "ථ",
        "dhh": "ධ",
        "ph": "ඵ",
        "bh": "භ",
        "zg": "ඟ",
        "ng": "ඟ",
        "zj": "ඦ",
        "nj": "ඦ",
        "zd": "ඬ",
        "nd": "ඬ",
        "zdh": "ඳ",
        "ndh": "ඳ",
        "zq": "ඳ",
        "nq": "ඳ",
        "zk": "ඤ",
        "nk": "ඤ",
        "zh": "ඥ",
        "nh": "ඥ",
        "B": "ඹ"
    },
    "special_consonants": {
        "Lu": "ළු"
    },
    "vowels": {
        "a": "අ",
        "aa": "ආ",
        "A": "ඇ",
        "Aa": "ඈ",
        "AA": "ඈ",
        "i": "ඉ",
        "ii": "ඊ",
        "u": "උ",
        "uu": "ඌ",
        "R": "ඍ",
        "Ru": "ඎ",
        "e": "එ",
        "ee": "ඒ",
        "ai": "ඓ",
        "o": "ඔ",
        "oo": "ඕ",
        "au": "ඖ",
        "ou": "ඖ"
    },
    "dependent_vowels": {
        "a": "ා",
        "A": "ැ",
        "Aa": "ෑ",
        "AA": "ෑ",
        "i": "ි",
        "ii": "ී",
        "u": "ු",
        "uu": "ූ",
        "ru": "ෘ",
        "ruu": "ෘෘ",
        "e": "ෙ",
        "ee": "ේ",
        "ai": "ෛ",
        "o": "ො",
        "oo": "ෝ",
        "au": "ෞ",
        "ax": "ං",
        "azn": "ං"
    }
}

config_data = {
    "api_key": "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",
    "org_key": "org-FAg23PQBtCvq57kZHYd0HYlW",
    "model": "gpt-3.5-turbo",
    "temperature": 0,
    "max_tokens": 2000,
    "Top_P": 1,
    "Frequency_penalty": 0,
    "Presence_penalty": 0,
    "max_characters": 4000,
    "TC_Only": "NO",
    "Prompts": [
        {
            "role": "user",
            "content": "I can provide you a sentence with some spelling errors. Your goal is to accurately identify the misspelled Sinhala words. \n\nThe output should be presented in JSON format, structured as follows:\n\n{\n    \"word_list\": [\n          \"<first_incorrect_word>\",\n          \"<second_incorrect_word>\",\n          ...............,\n          \"<last_incorrect_word>\"\n     ]\n}\nMake sure to use only the words which is not exist in the Sinhala language as \"<first_incorrect_word>\", \"<second_incorrect_word>\",  ..............., \"<last_incorrect_word>\".\n\nSentence: '{{masked-sentence}}'"
        },
        {
            "role": "user",
            "content": "I can provide you with a version of the word with some spelling errors. Your goal is to accurately identify the most suitable Sinhala word that matches the given misspelled version for the specified <mask>. Please note that the word you suggest should indeed exist in the Sinhala language (Real Word). Decide the category of the misspelled word as well. Word categories are subject, predicate, object, complement, and modifier. Get the help of this to decide the word as well.\n\nThe output should be presented in JSON format, structured as follows:\n\n{\n    \"<misspelled_word>\": \"<correct_word>\",\n     \"category\": \"<category_from_given_list>\"\n}\n\nSentence with the <mask>: '{{masked-sentence}}'\nMisspelled word: '{{misspelled-word}}'"
        }
    ]
}
